'===================================================================================
' PbWin 10, PbCC 6
' This is the main include file for the PbSlice core functions.  You will only use
' this file if you intend to compile the source directly into your application.
'
' YOU DO NOT NEED THIS FILE IF YOU INTEND TO USE THE DLL.
'-----------------------------------------------------------------------------------
' To compile source directly into your project:
'-----------------------------------------------------------------------------------
' 1) Either:
'    a) Place the PbSlice source code in your project.
'    b) Set a compiler include path to c:\Prj\Pb\PbSlice2\src, or the directory you
'       placed the PbSlice source code.  In the PbWin/PbCC IDE use the following menu
'       options: Windows | Options | Compiler | Include.
' 2) Ensure src\PbSlice.inc has the path you placed the source in.  Replace ALL
'    c:\Prj\Pb\PbSlice2\Src with the directory you're copy of the source is.
'===================================================================================
' Comment out to remove debugging code
%DEBUG=1
#If %Def( %DEBUG )
' Uncomment to review debug messages
'%REVIEW=1

' 0 = Don't log class creation/destruction
' -1 = Log class creation/destruction
%LOG_CREATE=0
#EndIf

' Set this to 0 if you plan to just use the support classes
%USE_API=1
'-----------------------------------------------------------------------------------
' No changes below here
'===================================================================================

' Global variables
Global init_ As Long
Global project_ As iStringSourcefileMap
Global activeFilenumber_ As Long
Global projectDeclares_ As iDeclarations
Global sourceFile_ As iSourceFile

Global snippets_ As iStringSourcefileMap
Global activeSnippetIndex_ As Long
Global snippetDeclares_ As iDeclarations
Global snippet_ As iSourceFile

Global tokenizer_ As iLineTokenizer
Global indenter_ As iIndent

Global includePaths_() As String
Global includePathCount_ As Long
Global tabSize_ As Long

Global keywords_ As iStringBag
Global keywordFile As String

' Include files
#Include Once "c:\prj\pb\pbslice2\src\support\debugging.inc"
#Include Once "c:\prj\pb\pbslice2\src\types\Constants.inc"
#Include Once "c:\prj\pb\pbslice2\src\types\DeclarationTypes.inc"

#Include Once "c:\prj\pb\pbslice2\src\types\KeywordCase.inc"
#Include Once "c:\prj\pb\pbslice2\src\types\TokenTypes.inc"

#Include Once "c:\prj\pb\pbslice2\src\support\Filesystem.inc"
#Include Once "c:\prj\pb\pbslice2\src\support\StringSupport.inc"
#Include Once "c:\prj\pb\pbslice2\src\support\IntegerSupport.inc"

#Include Once "c:\prj\pb\pbslice2\src\support\BBCode.inc"
#Include Once "c:\prj\pb\pbslice2\src\support\Declarations.inc"
#Include Once "c:\prj\pb\pbslice2\src\support\File.inc"
#Include Once "c:\prj\pb\pbslice2\src\support\HtmlCode.inc"
#Include Once "c:\prj\pb\pbslice2\src\support\Indent.inc"
#Include Once "c:\prj\pb\pbslice2\src\support\LongBag.inc"
#Include Once "c:\prj\pb\pbslice2\src\support\SourceFile.inc"
#Include Once "c:\prj\pb\pbslice2\src\support\SourceFileSupport.inc"
#Include Once "c:\prj\pb\pbslice2\src\support\Standard.inc"
#Include Once "c:\prj\pb\pbslice2\src\support\StringBag.inc"
#Include Once "c:\prj\pb\pbslice2\src\support\StringDeclMap.inc"
#Include Once "c:\prj\pb\pbslice2\src\support\StringSourcefileMap.inc"
#Include Once "c:\prj\pb\pbslice2\src\support\StringStack.inc"
#Include Once "c:\prj\pb\pbslice2\src\support\StringStringMap.inc"
#Include Once "c:\prj\pb\pbslice2\src\support\TokenizeLine.inc"

#If %USE_API=1
#Include Once "c:\prj\pb\pbslice2\src\api\File.inc"
#Include Once "c:\prj\pb\pbslice2\src\api\Filesystem.inc"
#Include Once "c:\prj\pb\pbslice2\src\api\Keywords.inc"
#Include Once "c:\prj\pb\pbslice2\src\api\Project.inc"
#Include Once "c:\prj\pb\pbslice2\src\api\Snippet.inc"
#Include Once "c:\prj\pb\pbslice2\src\api\String.inc"
#Include Once "c:\prj\pb\pbslice2\src\api\Tokens.inc"
#EndIf
