Sub FilesystemTests()
	pbsKeywordLoad( "pbwin10" )

	Debug_SetGroup("Filesystem")
	Debug_Log("")
	Debug_Log("============================================")
	Debug_Log("Filesystem")
	Debug_Log("--------------------------------------------")

	Shell( "cmd /c " + RemoveDirectory( "TestFileSys1" ), 0 )
	Shell( "cmd /c " + RemoveDirectory( "TestFileSys2" ), 0 )
	Shell( "cmd /c " + RemoveDirectory( "TestFileSys3" ), 0 )

	pbsFilesystemEnsureFilePath( $BASE_PATH + "TestFileSys1\myTest.bas" )
	Debug_IsTrue( 1, IsFile( $BASE_PATH + "TestFileSys1\myTest.bas" ), "EnsureFilePath" )

	pbsFilesystemEnsurePath( $BASE_PATH + "TestFileSys2\" )
	Debug_IsTrue( 2, IsFolder( $BASE_PATH + "TestFileSys2" ), "EnsurePath FileSys2" )

	pbsFilesystemEnsurePath( $BASE_PATH + "TestFileSys3" )
	Debug_IsTrue( 3, IsFolder( $BASE_PATH + "TestFileSys3" ), "EnsurePath FileSys3" )
End Sub
