Sub pbsTokenSetLine Alias "pbsTokenSetLine"( ByVal value As String ) Export
	If Not init_ Then Call Initialize()
	tokenizer_.SetLine( value )
End Sub

Function pbsTokenCount Alias "pbsTokenCount"() Export As Long
	If Not init_ Then Call Initialize()
	Function = tokenizer_.Count
End Function

Sub pbsTokenSetFileLine Alias "pbsTokenSetFileLine"( ByVal lineNumber As Long ) Export
	Local sf As iSourceFile

	If Not init_ Then Call Initialize()
	If IsNothing( sourceFile_ ) Then Exit Sub
	tokenizer_.SetLine( sourceFile_.Line( lineNumber ) )
End Sub

Function pbsTokenGetToken Alias "pbsTokenGetToken"( ByVal i As Long, pToken As Dword, pColumn As Long, pTokenType As Long ) Export As Long
	If Not init_ Then Call Initialize()
	Function = tokenizer_.GetToken( i, pToken, pColumn, pTokenType )
End Function

Sub pbsTokenSetSnippetLine Alias "pbsTokenSetSnippetLine"( ByVal lineNumber As Long ) Export
	Local sf As iSourceFile

	If Not init_ Then Call Initialize()
	If IsNothing( snippet_ ) Then Exit Sub
	tokenizer_.SetLine( snippet_.Line( lineNumber ) )
End Sub
