Sub KeywordTests()
	Local i As Long
	Local value As String

	keywords_ = Nothing
	Debug_SetGroup("Keyword")
	Debug_Log("")
	Debug_Log("============================================")
	Debug_Log("Keyword")
	Debug_Log("--------------------------------------------")

	pbsKeywordLoad( "PBWin10" )
	i = pbsKeywordExists( "select" )
	Debug_IsTrue(   1, i, "select keyword doesn't exist" )

	i = pbsKeywordExists( "For" )
	Debug_IsTrue(   2, i, "For keyword doesn't exist" )

	i = pbsKeywordExists( "END" )
	Debug_IsTrue(   3, i, "END keyword doesn't exist" )

	i = pbsKeywordExists( "jump" )
	Debug_IsFalse(   4, i, "jump keyword exists" )

	value = Build$( "one", $CrLf, "two", $CrLf, "three" )
	pbsKeywordSaveKeywords( "test", value )
	Debug_IsTrue(   5, IsFile( $BASE_PATH+"config\test.builtin" ), "test.builtin does not exist" )

	value = pbsKeywordGetKeywords( "test" )
	Debug_IsEqual(   6, value, Build$( "one", $CrLf, "two", $CrLf, "three" ), "GetKeywords" )

	value = LCase$( pbsKeywordGetFileList() )
	Debug_IsEqual(   7, value, Build$( "pbcc60", $CrLf, "pbwin10", $CrLf, "test" ), "FileList" )

	value = pbsKeywordGetFilename()
	Debug_IsEqual(   8, value, "PBWin10", "GetFilename" )

	value = pbsKeywordStandardize( "FOR" )
	Debug_IsEqual(   9, value, "For", "Standardize" )

	value = pbsKeywordStandardize( "for" )
	Debug_IsEqual(  10, value, "For", "Standardize" )

End Sub
